# MeshGetCoordinates

Creates an array holding the coordinates.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode MeshGetCoordinates(Mesh mesh, PetscTruth columnMajor, PetscInt *numVertices, PetscInt *dim, PetscReal *coords[])

Not Collective

### Input Parameter

| mesh | - The Mesh object
| columnMajor | - Flag for column major order

### Output Parameter

| numVertices | - The number of vertices
| dim | - The embedding dimension
| coords | - The array holding local coordinates

### Keywords

mesh, coordinates

### See Also

MeshCreate()

Level:intermediate
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages